import 'package:json_annotation/json_annotation.dart';

part 'enum_subject.g.dart';

@JsonSerializable()
class EnumSubject extends Object {
  @JsonKey(name: 'id')
  int id;

  @JsonKey(name: 'name')
  String name;

  EnumSubject(
    this.id,
    this.name,
  );

  factory EnumSubject.fromJson(Map<String, dynamic> srcJson) => _$EnumSubjectFromJson(srcJson);

  Map<String, dynamic> toJson() => _$EnumSubjectToJson(this);
}
